Bug 779117 - yast2 forgets the proxy settings
yast2 forgets the proxy settings
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Installation
Current
x86-64 openSUSE 12.2
: P5 - None : Minor (vote)
: Current
Assigned To: Michal Filka
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 17:02 UTC by Ulrich Hiller
Modified: 2021-03-17 12:09 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Hiller 2012-09-06 17:02:08 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:15.0) Gecko/20100101 Firefox/15.0

This was already a problem on 12.1 installation (but not on <=11.4!)
I do the net install.
I give in the network coordinates including the proxy when in starts.
When it starts yast2 i have to go to alt-cntrl-F2 to edit the proxy into /etc/sysconfig/proxy

When the installation is ready and it starts the Autoconfiguration al have to edit again in alt-ctrl-F" the /etc/sysconfig/proxy to activate the proxy. Additionally i have to edit /etc/resolv.conf to make the nameserver known again.



Reproducible: Always

Steps to Reproduce:
1.install with the netinstall behind a proxy
2.
3.
Comment 1 Alan Jenkins 2012-12-30 12:12:40 UTC
Thanks for the keyboard shortcuts, I didn't manage to find them myself!

I can confirm that the net installer forgets the proxy settings before it starts installing packages.

I use a proxy at home to cache packages, but I notice that the installer fails to download packages from my proxy.  I know I provided the correct settings, because the initial 6 downloads totalling about 85Mb _are_ fetched through the proxy.  (It also works correctly for the yast translations RPM which is downloaded after telling YaST I want en_UK, and the 'cracklib-dict-full.rpm' which yast uses to test the password).
Comment 2 Nathan Cutler 2017-08-14 18:28:15 UTC
openSUSE 12.2 is out of maintenance, so I'm moving this to Tumbleweed. I don't know if it's still reproducible there, though - setting needinfo on the assignee. Michal could you please update the bug?